Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.SessionManagementSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.SessionManagementSpec

Enclosing class:
  ServerHttpSecurity

public class ServerHttpSecurity.SessionManagementSpec extends Object
Configures how sessions are managed.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ServerHttpSecurity.SessionManagementSpec.ConcurrentSessionsSpec`
Configures how many sessions are allowed for a given user.

## Constructor Summary

Constructors
Constructor
Description
`SessionManagementSpec()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.SessionManagementSpec`
`concurrentSessions(Customizer<ServerHttpSecurity.SessionManagementSpec.ConcurrentSessionsSpec> customizer)`
Configures how many sessions are allowed for a given user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionManagementSpec

public SessionManagementSpec()

## Method Details

### concurrentSessions

public ServerHttpSecurity.SessionManagementSpec concurrentSessions(Customizer<ServerHttpSecurity.SessionManagementSpec.ConcurrentSessionsSpec> customizer)
Configures how many sessions are allowed for a given user.

Parameters:
  `customizer` - the customizer to provide more options
Returns:
  the `ServerHttpSecurity.SessionManagementSpec` to customize